SynqDocs
Management APITelegram groups

Read a connected Telegram group

Needs `org.integrations.view`.

GET/v1/orgs/{org}/telegram-groups/{group}

Needs org.integrations.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
group*string

The Telegram group's id

Match^tgg_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/telegram-groups/tgg_01h455vb4pex5vsknk084sn02q" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "tgg_01h455vb4pex5vsknk084sn02q",  "brand_id": "brd_01h455vb4pex5vsknk084sn02q",  "chat_id": "-1001234567890",  "title": "RODAI Holders",  "username": "string",  "kind": "group",  "status": "connected",  "guard_bot": true,  "rights": {    "invite_users": true,    "restrict_members": true,    "pin_messages": true  },  "member_count": 0,  "invite_link": "string",  "own_bot": true,  "listed": true,  "listed_by": "brand",  "counts": {    "roles": 0,    "gated": true,    "managed": 0  },  "checked_at": "2026-10-21T12:00:00.000Z",  "connected_at": "2026-10-21T12:00:00.000Z"}